Skip to main content
PUT
/
agents
/
{agentId}
/
memory
JavaScript
import Nuntly from '@nuntly/sdk';

const client = new Nuntly({
  apiKey: process.env['NUNTLY_API_KEY'], // This is the default and can be omitted
});

const agentMemory = await client.agents.memory.upsert('x', { memory: { foo: 'string' } });

console.log(agentMemory.id);
{
  "data": {
    "id": "<string>",
    "createdAt": "<string>",
    "agentId": "<string>",
    "inboxId": "<string>",
    "threadId": "<string>",
    "memory": {},
    "summary": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication. Allowed headers Authorization: Bearer <API_KEY>

Path Parameters

agentId
string
required

The external agent identifier.

Minimum string length: 1

Body

application/json

Agent memory with optional inbox or thread scope.

memory
object
required

The agent memory key-value data.

inboxId
string

The inbox id to scope the memory to.

threadId
string

The thread id to scope the memory to.

summary
string | null

A human-readable conversation summary.

Response

Successful response.

data
object
required